emacs-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Problems with 'make install' after the build of Emacs-cvs on Cygwin


From: Giorgos Keramidas
Subject: Re: Problems with 'make install' after the build of Emacs-cvs on Cygwin
Date: Mon, 2 Oct 2006 03:30:34 +0300

On 2006-09-30 19:00, Angelo Graziosi <address@hidden> wrote:
> 
> Hi Eli,
> 
> While conserving the tree of previous build of Emacs so that we can try to
> debug its segm. faults, I have tried a new build fram a new CVS downloaded
> after:
> 
>    2006-09-30  Eli Zaretskii  <address@hidden>
> 
>       * configure: Regenerated.
> 
> But when 'make install' there are the following problems:
> --------------------------------------------------------
> ...
> cd leim; make install
> make[1]: Entering directory `/tmp/emacs/.build/leim'
> ...
> /bin/sh: line
> 0: cd: /tmp/emacs/.inst/usr/local/emacs-22.0.50/share/emacs/22.0.50/leim: No
> such file or directory
> /bin/sh: line 5: /tmp/emacs/leim/mkinstalldirs: No such file or directory
> Copying leim files to
> /tmp/emacs/.inst/usr/local/emacs-22.0.50/share/emacs/22.0.50/leim ...
> /bin/sh: line
> 13: cd: /tmp/emacs/.inst/usr/local/emacs-22.0.50/share/emacs/22.0.50/leim: No
> such file or directory
> leim-list.el

I had to add `mkinstalldirs' to leim/ too to make Emacs build
successfully from a snapshot obtained from CVS at:

% $ hg tip
% changeset:   76412:6d04f2749c12
% tag:         tip
% user:        eliz
% date:        Sun Oct 01 17:11:58 2006 +0000
% summary:     *** empty log message ***
% 
% $

The diff from the local Mercurial tree I use to keep my own changes is:

%%%
# HG changeset patch
# User Giorgos Keramidas <address@hidden>
# Date 1159748821 -10800
# Node ID dc7359535a0eb4664d13cff02c848b614ddb0dc1
# Parent  73911f55ac5ecf415cc729f549ad9a47f61ffe57
Add `mkinstalldirs' to leim/ too, now that it needs it.

diff -r 73911f55ac5e -r dc7359535a0e leim/mkinstalldirs
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/leim/mkinstalldirs        Mon Oct 02 03:27:01 2006 +0300
@@ -0,0 +1,38 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <address@hidden>
+# Created: 1993-05-16
+# Public domain
+
+errstatus=0
+
+for file
+do
+   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+   shift
+
+   pathcomp=
+   for d
+   do
+     pathcomp="$pathcomp$d"
+     case "$pathcomp" in
+       -* ) pathcomp=./$pathcomp ;;
+     esac
+
+     if test ! -d "$pathcomp"; then
+        echo "mkdir $pathcomp" 1>&2
+
+        mkdir "$pathcomp" || lasterr=$?
+
+        if test ! -d "$pathcomp"; then
+         errstatus=$lasterr
+        fi
+     fi
+
+     pathcomp="$pathcomp/"
+   done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here
%%%




reply via email to

[Prev in Thread] Current Thread [Next in Thread]